%define name	bib2html
%define version	5.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BibTeX to HTML translator
URL:		http://www.arakhne.org/bib2html/
Source:		http://www.arakhne.org/IMG/gz/%{name}_%{version}-1.tar.bz2
License:	GPL
Group:		Publishing
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
bib2html is a script which permits to generate a set of HTML pages from a 
BibTeX database.

%prep
%setup -q

find . -type d | xargs chmod 755
find . -type f | xargs chmod 644

%build
# Build the manual pages

pod2man --section=1 --release="%{version}" --center=Bib2HTML --name=Bib2HTML man/bib2html_en.pod man/bib2html.1
pod2man --section=1 --release="%{version}" --center=Bib2HTML --name=Bib2HTML man/bib2html_fr.pod man/bib2html.fr.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2xml_en.pod man/bib2xml.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2xml_fr.pod man/bib2xml.fr.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2sql_en.pod man/bib2sql.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2sql_fr.pod man/bib2sql.fr.1

# Give the correct path to the pod files
perl -p -i -e 's/"\$basename"/"%name-%version"/' src/Bib2HTML/Main.pm

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/bib2html.pl %{buildroot}%{_bindir}/bib2html
install -m 755 src/bib2xml.pl %{buildroot}%{_bindir}/bib2xml
install -m 755 src/bib2sql.pl %{buildroot}%{_bindir}/bib2sql

install -d -m 755 %{buildroot}%{perl_vendorlib}
cp -pr ./src/Bib2HTML %{buildroot}%{perl_vendorlib}

install -d -m 755 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_mandir}/fr/man1
install -m 644 man/bib2html.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -m 644 man/bib2xml.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -m 644 man/bib2html.fr.1 %{buildroot}%{_mandir}/fr/man1/%{name}.1
install -m 644 man/bib2xml.fr.1 %{buildroot}%{_mandir}/fr/man1/%{name}.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog COPYING AUTHORS README doc/* man/*.pod
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*


%changelog
* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 5.1-1mdv2007.0
+ Revision: 105171
- 5.1
- Install the pod files so thet -h/--man work
- Install to standard perl dir
- Ship the new bib2sql

  + Lenny Cartier <lenny@mandriva.com>
    - Import bib2html



* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.3-2mdv2007.0
- fix perms

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.3-1mdv2007.0
- New release 4.3
- %%mkrel
- FHS setup

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.3-1mdk
- 3.3

* Fri Feb 04 2005 Abel Cheung <deaddog@mandrake.org> 3.2-1mdk
- First version adopted into Mandrakelinux, thx to Stephane's work

* Mon Dec 6 2004 Stephane <galland@arakhne.org> 3.1-1mdk
- Joao has added the Portuguese language support.
- Bug fix: the name of the language passed by '--lang' is
  now case-insensitive.

* Fri Dec 3 2004 Stephane <galland@arakhne.org> 3.0-1mdk
- More TeX commands are added by Dimitris:
  \epsilon, \Epsilon, \mathbf, \mathit, \mathrm,
  \mathsf, \mathtt, \mathnormal, \sqrt
- Create a XML generator which respect the DTD from
  BibTeXML.
- Add an XML output inside the HTML generator.
- Bug fix: the character '+' is not allowed inside the entry keys.

* Fri Nov 26 2004 Stephane <galland@arakhne.org> 2.0-1mdk
- FIRST RELEASE FOR MANDRAKE
- Spanish is included into the generators.
- Links to the author's list of publication was
  added for each other inside the entry's field
  list.
- The option '--checknames' permits to check if
  some author's names are duplicated or contain
  mistakes.
- Bug fixes.

* Fri Nov 12 2004 Stephane <galland@arakhne.org> 1.5-1
- sometimes the carriage return characters was
  not supported by the BibTeX parser.
- Generation of the BibTeX short labels (eg. [ABC04])
  produces too long labels in case a lot of
  names was proposed to the function.
- The names of the authors are not well upper-cased
  for each first letter of the words.
- if an error occurs during the copy of a pdf file,
  bib2html will not failed but only warm the user.

* Wed Sep 22 2004 Stephane <galland@arakhne.org> 1.4-1
- Fix the bug that copy the electronical file when
  the Extended generator's parameter "targt-url"
  was specified.

* Mon Aug 23 2004 Stephane <galland@arakhne.org> 1.3-1
- Lot of bug fixes
- Add the BibTeX's entry types 'proceedings' and 'unpublished'
- Add a documentation

* Thu Aug 19 2004 Stephane <galland@arakhne.org> 1.2-2
- Fix the file's permissions in this package.
- Add a UNIX manual page

* Tue Aug 17 2004 Stephane <galland@arakhne.org> 1.2-1
- Fix a bug in the BibTeX parser which prevents to
  properly scan the @comment
- Allow a comment line to finish the BibTeX file
  without any carriage return character.

* Mon Mar 29 2004 Stephane <galland@arakhne.org> 1.1-1
- add verbatim generation of BibTeX code
- Many bug fixes

* Fri Mar 19 2004 Stephane <galland@arakhne.org> 1.0-1
- First stable release

* Wed Feb 25 2004 Stephane <galland@arakhne.org> 0.11-1
- add an index of authors and of author's publications inside
  the two left frames
- add the class AbstractGenerator.pm
- add ExtendedGen.pm which permits to generate HTML page with:
  a) isbn, issn, and readers
  b) abstract and keywords
  c) the support for downloading an electronic
     document ('localfile')
- add the support of LaTeX environments (\begin,\end)
- add the generator Domain which permits to support domain
  for documents (domain,nddomain,rddomain,domains)
- Bug fixes	

* Thu Dec 11 2003 Stephane <galland@arakhne.org> 0.10-3
- Syntactic bug fix

* Thu Dec 11 2003 Stephane <galland@arakhne.org> 0.10-2
- Adds the name of the new contributors

* Thu Dec 11 2003 Stephane <galland@arakhne.org> 0.10-1
- Major Bug fixes

* Fri Sep 26 2003 Stephane <galland@arakhne.org> 0.9-1
- Adds the generated 'Extended' (with support of
  more bibtex fields)
- Better author name support
- Major Bug fixes ("et al.", ...)

* Fri Aug 01 2003 Stephane <galland@arakhne.org> 0.8-1
- Adds the command \cite
- Bug fixes

* Mon Jul 28 2003 Stephane <galland@arakhne.org> 0.7-2
- Sign this package with my GPG signature.

* Wed Jul 09 2003 Stephane <galland@arakhne.org> 0.7-1
- Adds LaTeX math-mode support
- Adds partial MathML support
- Major bug fixes

* Tue Jun 26 2003 Stephane <galland@arakhne.org> 0.6-1
- Adds multi-language support
- Adds themes
- Major bug fixes

* Fri Mar 04 2003 Stephane <galland@arakhne.org> 0.5-rc1-1
- first RPM version
